package br.padroes.ImageProxy;

/**
 * Proxy
 */
public class ProxyImage implements Image {

	private String imagePath;
        private String imageName;
        private RealImage image;
    	
	public ProxyImage(String imagePath, String imageName) {
	     this.imagePath=imagePath; 
             this.imageName=imageName;
	}
       
        public RealImage getImage(){
            
            image = new RealImage(imagePath,imageName);
            
        return image;    
            
        }
	
	@Override
	public void show() {

		System.out.println("User clicked on the image! ");             
	        System.out.println(" loadinnng...!");          
		this.getImage().show(); //Chama show() de RealImage.		
	}
        
        @Override
         public void showName(){ // será chamado antes do click
            System.out.println("Image Name:  "+imageName);   
            
        }

}